# ApplicationFramework
TKLCAF
TDataStd

# TDataStd_DataMapOfStringInteger Class Reference

`#include <TDataStd_DataMapOfStringInteger.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TDataStd_DataMapOfStringInteger (const Standard_Integer NbBuckets=1)
Standard_EXPORT TDataStd_DataMapOfStringInteger & | Assign (const TDataStd_DataMapOfStringInteger &Other)
TDataStd_DataMapOfStringInteger & | operator= (const TDataStd_DataMapOfStringInteger &Other)
Standard_EXPORT void | ReSize (const Standard_Integer NbBuckets)
Standard_EXPORT void | Clear ()
| ~TDataStd_DataMapOfStringInteger ()
Standard_EXPORT Standard_Boolean | Bind (const TCollection_ExtendedString &K, const Standard_Integer &I)
Standard_EXPORT Standard_Boolean | IsBound (const TCollection_ExtendedString &K) const
Standard_EXPORT Standard_Boolean | UnBind (const TCollection_ExtendedString &K)
Standard_EXPORT const Standard_Integer & | Find (const TCollection_ExtendedString &K) const
const Standard_Integer & | operator() (const TCollection_ExtendedString &K) const
Standard_EXPORT Standard_Integer & | ChangeFind (const TCollection_ExtendedString &K)
Standard_Integer & | operator() (const TCollection_ExtendedString &K)

## Private Member Functions

Standard_EXPORT | TDataStd_DataMapOfStringInteger (const TDataStd_DataMapOfStringInteger &Other)

## Constructor & Destructor Documentation

Standard_EXPORT TDataStd_DataMapOfStringInteger::TDataStd_DataMapOfStringInteger | ( | const Standard_Integer | NbBuckets = `1` | ) |

TDataStd_DataMapOfStringInteger::~TDataStd_DataMapOfStringInteger | ( |  | ) | `[inline]`

Standard_EXPORT TDataStd_DataMapOfStringInteger::TDataStd_DataMapOfStringInteger | ( | const TDataStd_DataMapOfStringInteger & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT TDataStd_DataMapOfStringInteger& TDataStd_DataMapOfStringInteger::Assign | ( | const TDataStd_DataMapOfStringInteger & | Other | ) |

Standard_EXPORT Standard_Boolean TDataStd_DataMapOfStringInteger::Bind | ( | const TCollection_ExtendedString & | K,
|  | const Standard_Integer & | I
| ) |

Standard_EXPORT Standard_Integer& TDataStd_DataMapOfStringInteger::ChangeFind | ( | const TCollection_ExtendedString & | K | ) |

Standard_EXPORT void TDataStd_DataMapOfStringInteger::Clear | ( |  | ) |

Standard_EXPORT const Standard_Integer& TDataStd_DataMapOfStringInteger::Find | ( | const TCollection_ExtendedString & | K | ) | const

Standard_EXPORT Standard_Boolean TDataStd_DataMapOfStringInteger::IsBound | ( | const TCollection_ExtendedString & | K | ) | const

void TDataStd_DataMapOfStringInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TDataStd_DataMapOfStringInteger::operator new | ( | size_t | size | ) | `[inline]`

void* TDataStd_DataMapOfStringInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_Integer& TDataStd_DataMapOfStringInteger::operator() | ( | const TCollection_ExtendedString & | K | ) | `[inline]`

const Standard_Integer& TDataStd_DataMapOfStringInteger::operator() | ( | const TCollection_ExtendedString & | K | ) | const`[inline]`

TDataStd_DataMapOfStringInteger& TDataStd_DataMapOfStringInteger::operator= | ( | const TDataStd_DataMapOfStringInteger & | Other | ) | `[inline]`

Standard_EXPORT void TDataStd_DataMapOfStringInteger::ReSize | ( | const Standard_Integer | NbBuckets | ) |

Standard_EXPORT Standard_Boolean TDataStd_DataMapOfStringInteger::UnBind | ( | const TCollection_ExtendedString & | K | ) |

The documentation for this class was generated from the following file:

- TDataStd_DataMapOfStringInteger.hxx